commit 6187750aa83aef378fe214ed7d804e7d0df25ab1
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed May 17 02:20:26 2023

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index ae488c0e7fc..e2f60e4d429 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230516
+20230517
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index c9fc4ec3fad..2d1423be22f 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,16 @@
+2023-05-16  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2022-11-28  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/107801
+	* src/c++17/memory_resource.cc (chunk::_M_bytes): Change type
+	from uint32_t to bitset::size_type. Adjust static assertion.
+	(__pool_resource::_Pool::replenish): Cast to size_t after
+	multiplication instead of before.
+	(__pool_resource::_M_alloc_pools): Ensure both arguments to
+	std::max have type size_t.
+
 2023-05-11  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

